<?php
/**
 * stanislav.elbl, 19.02.2021
 */

namespace Ron\Http;

class Cookie
{
    public $name = '';
    public $value = null;
    public $expire = null;
    public $path = '';

    function __construct($name, $value, $expire = null, $path = '')
    {
        $this ->name = $name;
        $this ->value = $value;
        $this ->expire = $expire;
        $this ->path = $path;
    }

    function send()
    {
        setcookie($this ->name, $this ->value ?? '', $this ->expire, $this ->path);
    }
}
